%global momorel 2

Name:		hyperestraier
Summary:	full-text search system
Version:	1.4.13
Release:	%{momorel}m%{?dist}
License:	LGPL
Group:		Development/Libraries
URL:		http://hyperestraier.sourceforge.net/
Source0:	http://hyperestraier.sourceforge.net/hyperestraier-%{version}.tar.gz 
NoSource:	0
Source1:	estmaster.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qdbm-devel >= 1.8.77
BuildRequires:	mecab-devel
Requires:	qdbm >= 1.8.77
Requires:	mecab
PreReq:         chkconfig,shadow-utils

%description
Hyper Estraier is a full-text search system

%prep
%setup -q

%build
%configure --enable-mecab
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_initscriptdir}
install -m700 $RPM_SOURCE_DIR/estmaster.init %{buildroot}%{_initscriptdir}/estmaster

mkdir -p %{buildroot}%{_localstatedir}/cache/hyperestraier
chmod 700 %{buildroot}%{_localstatedir}/cache/hyperestraier

mkdir -p %{buildroot}%{_localstatedir}/log/hyperestraier
chmod 700 %{buildroot}%{_localstatedir}/log/hyperestraier

%clean
rm -rf %{buildroot}

%pre
# pre first installation
if [ $1 -eq 1 ] ; then
	if ! grep ^estraier /etc/group > /dev/null ; then
		groupadd -g 398 estraier 2> /dev/null
	fi
	if ! grep ^estraier /etc/passwd > /dev/null ; then
		useradd -u 398 -g 398 -s /sbin/nologin -d %{_localstatedir}/cache/hyperestraier -m -k /dev/null estraier 2> /dev/null
	fi
fi

%post
# post first installation
if [ $1 -eq 1 ] ; then
	chkconfig --add estmaster
	%{_initscriptdir}/estmaster stop > /dev/null 2>&1
	if ! [ -f %{_localstatedir}/cache/hyperestraier/_conf ] ; then
		sudo -u estraier /usr/bin/estmaster init %{_localstatedir}/cache/hyperestraier > /dev/null 2>&1
		sed 's@logfile: _log@logfile: /var/log/hyperestraier/estmaster.log@' %{_localstatedir}/cache/hyperestraier/_conf > %{_localstatedir}/cache/hyperestraier/_conf.tmp
		mv -f %{_localstatedir}/cache/hyperestraier/_conf.tmp %{_localstatedir}/cache/hyperestraier/_conf
		chown estraier.estraier %{_localstatedir}/cache/hyperestraier/_conf
	fi
fi

%preun
# pre uninstallation
if [ $1 -eq 0 ] ; then
	%{_initscriptdir}/estmaster stop > /dev/null 2>&1
	chkconfig --del estmaster 2>/dev/null
fi

%postun
# post uninstallation
if [ $1 -eq 0 ] ; then
	if grep ^estraier /etc/passwd > /dev/null ; then
		userdel estraier 2>/dev/null
	fi
	if grep ^estraier /etc/group > /dev/null ; then
		groupdel estraier 2> /dev/null
	fi
fi

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_libexecdir}/*
%{_includedir}/*
%{_datadir}/hyperestraier
%{_initscriptdir}/estmaster
%{_mandir}/*/*
%attr(700, estraier, estraier) %{_localstatedir}/cache/hyperestraier
%attr(700, estraier, estraier) %{_localstatedir}/log/hyperestraier

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.13-2m)
- rebuild against gcc43

* Thu Feb 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.13-1m)
- update

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.12-2m)
- %%NoSource -> NoSource

* Thu Nov 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.12-1m)
- update to 1.4.12

* Sun Nov 18 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.11-2m)
- rebuild against qdbm-1.8.77

* Sun Nov 18 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.4.11-1m)
- up to 1.4.11

* Wed Jun 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.10-3m)
- use 398 for UID and GID, because ID# 98 is used and conflicted with authd

* Sun Apr  1 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.4.10-2m)
- correct init script
- don't delete search database

* Wed Mar 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.10-1m)
- update to 1.4.10

* Tue Feb 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.9-2m)
- use %%{_localstatedir}/cache/hyperestraier insted of %%{_localstatedir}/hyperestraier

* Mon Nov 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.9-1m)
- update to 1.4.9

* Sat Oct 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.6-1m)
- update to 1.4.6

* Wed Sep 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Sun Sep 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2

* Wed Aug 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.7-1m)
- update to 1.3.7
- update BuildRequires:	qdbm-devel >= 1.8.65

* Tue Aug  1 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.3.3-2m)
- enable mecab

* Tue Jul 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.3-1m)
- update to 1.3.3
- update BuildRequires:	qdbm >= 1.8.60

* Sun Jun 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.8-1m)
- update to 1.2.8

* Thu May 25 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7-1m)
- update to 1.2.7

* Mon Apr 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Thu Mar 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-1m)
- update to 1.1.4
- use %%make

* Thu Feb 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.3-1m)
- update to 1.1.3

* Sun Dec 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.2-1m)
- update to 1.1.2

* Sun Dec 11 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-1m)
- update to 1.1.1
- update BuildRequires:	qdbm >= 1.8.35

* Fri Nov 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Sat Nov 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Wed Nov 09 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Fri Nov 04 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Fri Oct 28 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Fri Oct 21 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Mon Oct 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Sun Oct 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1
- add man at files

* Fri Sep 23 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-1m)
- update to 0.9.0

* Thu Sep 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7

* Thu Sep 08 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.6-1m)
- update to 0.5.6

* Thu Sep 08 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.5-3m)
- adapt for momonga
- - comment out BuildRequires: libconv
- - comment out Requires: libconv

* Thu Sep 08 2005 Uta <webmaster@u-jp.com>
- pre/post script bug fix

* Fri Sep 02 2005 Uta <webmaster@u-jp.com>
- initial release

